콘텐츠로 건너뛰기

Meshy Rigging

통합

모델 id meshy/rigging
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/meshy/rigging?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $0.20 200 API 크레딧 이 페이지에서 실행

API 키 받기
Meshy 3D #3d-to-3d#rigging

기존 휴머노이드 GLB 모델에 리깅하고 애니메이션 프리셋 하나를 적용할 수 있음

Meshy · 3D

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수

팔다리가 명확히 구분되는 인간형 3D 캐릭터를 리깅하기 위한 URL입니다. URL은 공개적으로 액세스 가능하고 GLB 파일을 가리켜야 합니다. 모델은 Hunyuan, Trellis, Meshy 또는 다른 3D 생성 도구에서 가져올 수 있습니다.

고급 height_meters · animation_action_id · enable_safety_checker
기본값 1.7

미터 단위로 측정한 예상 캐릭터 높이입니다.

기본값 92

Meshy 라이브러리 애니메이션 프리셋 ID입니다. 사용 가능한 작업은 https://docs.meshy.ai/en/api/animation-library에 나열되어 있습니다. 검증 및 사용은 enable_animation이 true일 때만 적용됩니다. [0, 696] 범위를 벗어난 값은 422로 거부되며, "Idle"은 `0`에 해당합니다.

POST /run/meshy/rigging?wait=20 견적 → $0.20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/meshy/rigging?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Meshy Rigging 정보

`model_url`의 GLB 파일로 휴머노이드 캐릭터를 받아 리깅된 GLB 및 FBX 파일과 기본 걷기·달리기 애니메이션을 반환합니다. `height_meters`로 캐릭터 크기를 지정합니다. `enable_animation`을 사용하면 0~696 범위의 `animation_action_id`로 선택한 프리셋 하나도 적용합니다. 캐릭터의 팔다리가 명확하다면 출처와 관계없이 사용할 수 있습니다.

매개변수

이름유형 기본값허용됨 설명
model_url필수
유형string
팔다리가 명확히 구분되는 인간형 3D 캐릭터를 리깅하기 위한 URL입니다. URL은 공개적으로 액세스 가능하고 GLB 파일을 가리켜야 합니다. 모델은 Hunyuan, Trellis, Meshy 또는 다른 3D 생성 도구에서 가져올 수 있습니다.
height_meters선택 사항
유형number
기본값1.7
> 0
미터 단위로 측정한 예상 캐릭터 높이입니다.
enable_animation선택 사항
유형boolean
기본값false
리깅된 모델에 프리셋 애니메이션을 적용할지 제어합니다.
animation_action_id선택 사항
유형integer
기본값92
Meshy 라이브러리 애니메이션 프리셋 ID입니다. 사용 가능한 작업은 https://docs.meshy.ai/en/api/animation-library에 나열되어 있습니다. 검증 및 사용은 enable_animation이 true일 때만 적용됩니다. [0, 696] 범위를 벗어난 값은 422로 거부되며, "Idle"은 `0`에 해당합니다.
enable_safety_checker선택 사항
유형boolean
기본값true
전처리 안전 검사 스위치입니다. true이면 처리를 위한 사전 조건으로 입력 안전 검사를 수행합니다.
필수

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "meshy/rigging",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 200,
    "usd": "0.20",
    "charged": 200,
    "refunded": 0
  },
  "input": {
    "model_url": "https://example.com/your-file.glb"
  },
  "output": {
    "rigged_character_glb": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "rigged_character_fbx": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "basic_animations": {
      "walking_glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "walking_fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "walking_armature_glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "running_glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "running_fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "running_armature_glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    },
    "animation_glb": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "animation_fbx": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "rig_task_id": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
rigged_character_glb
object {url, content_type, file_name, file_size} | null리깅이 적용된 GLB 형식 캐릭터입니다.
rigged_character_fbx
object {url, content_type, file_name, file_size} | null리깅이 적용된 FBX 형식 캐릭터입니다.
basic_animations
object {walking_glb, walking_fbx, walking_armature_glb, running_glb, running_fbx, running_armature_glb} | null리깅의 일부로 제공되는 기본 걷기 및 달리기 애니메이션입니다.
animation_glb
object {url, content_type, file_name, file_size} | null3D 모델이 GLB로 포함된 애니메이션 결과입니다. enable_animation이 true가 아니면 응답에서 생략됩니다.
animation_fbx
object {url, content_type, file_name, file_size} | null3D 모델이 FBX로 포함된 애니메이션 결과입니다. enable_animation이 true가 아니면 응답에서 생략됩니다.
rig_task_id
string | nullMeshy의 리깅 작업 식별자입니다.

더 많은 모델: 3D

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/meshy/rigging.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt